[alsa-devel] [PATCH 001b/001] snd-powermac: older kernel compatibility

Risto Suominen risto.suominen at gmail.com
Thu Apr 17 09:10:06 CEST 2008

2008/4/16, Takashi Iwai <tiwai at suse.de>:
>  OK, applied both patches to alsa-driver HG tree.


But it looks like the hunk below was not accepted. Is this because
it's in alsa-kernel? And it uses LINUX_VERSION_CODE? Anyway, these
seem to be needed by others than snd-powermac, too. Maybe they would
belong to include directory, maybe another compat.h file. I must
confess that I'm not sure about the exact kernel versions where the
names were changed.

--- alsa-kernel/ppc/pmac.h.orig	2008-02-05 11:23:24.000000000 +0200
+++ alsa-kernel/ppc/pmac.h	2008-03-31 23:45:36.000000000 +0300
@@ -207,4 +207,11 @@

 int snd_pmac_add_automute(struct snd_pmac *chip);

+#define of_device_is_compatible(dev, s) device_is_compatible(dev, s)
+#define input_get_drvdata(dev) (dev->private)
+#define i2c_smbus_write_i2c_block_data(client, cmd, len, vals) \
+	i2c_smbus_write_block_data(client, cmd, len, vals)
 #endif /* __PMAC_H */

More information about the Alsa-devel mailing list